module Kraftwerk
  module Middleware
    module Reloader
      def self.new(reloader)
        Class.new do
          define_method :initialize do |app|
            @app = app
          end

          define_method :call do |env|
            reloader.reload
            @app.call(env)
          end
        end
      end
    end
  end
end
