# frozen_string_literal: true

require 'dry/core/class_builder'

module Kraftwerk
  class App
    def self.create_dependencies!(&block)
      klass = Class.new do
        extend Dry::Container::Mixin
        instance_exec(&block)
      end
      
      self.const_set('Dependencies', Dry::AutoInject(klass))
    end
  end
end
